<?php

if (empty($_GET['elid'])) {
    if (empty($_POST['submit'])) {
        echo '<div class="menu"><img src="images/t-new.png" alt="." />Создание почтового домена<br />' . "\n";
        echo '</div>' . "\n";
        echo '<div class="post"><form action="?func=emaildomain.edit" method="post">' . "\n";
        echo 'Доменное имя:<br />' . "\n";
        echo '<input name="name" /><br />' . "\n";
        echo 'Действие по умолчанию:<br />' . "\n";
        echo '<select name="dtype">' . "\n";
        echo '<option value="nouser">Сообщение об ошибке</option>' . "\n";
        echo '<option value="devnull">Игнорировать и удалить</option>' . "\n";
        echo '<option value="toemail">Перенаправить на адрес*</option>' . "\n";
        echo '<option value="todomain">Перенаправить на домен**</option>' . "\n";
        echo '</select><br />' . "\n";
        echo '*Перенаправить на адрес:<br />' . "\n";
        echo '<input name="mbox" /><br />' . "\n";
        echo '**Перенаправить на домен:<br />' . "\n";
        echo '<input name="domain" /><br />' . "\n";
        echo '<input type="checkbox" name="spamassassin" value="on" /> Включить SpamAssassin<br />' . "\n";
        echo '<input type="checkbox" name="avcheck" value="on" /> Включить проверку на вирусы<br />' . "\n";
        echo '<input name="submit" type="submit" value="Создать" />' . "\n";
        echo '</form>' . "\n";
        echo '</div>' . "\n";
        echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=emaildomain">Вернуться</a>' . "\n</div>";
    } else {
        $spamassassin = isset($_POST['spamassassin'])?'on':'';
        $avcheck = isset($_POST['avcheck'])?'on':'';
        $content = api_query('https://' . $server . '/manager/ispmgr?func=emaildomain.edit&name=' . urlencode($_POST['name']) . '&dtype=' . urlencode($_POST['dtype']) . '&mbox=' . urlencode($_POST['mbox']) . '&domain=' . urlencode($_POST['domain']) . '&spamassassin=' . $spamassassin . '&avcheck=' . $avcheck . '&sok=ok&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml = simplexml_load_string($content);
        if (isset($parse_xml->ok)) {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Почтовый домен успешно создан!<br />' . "\n";
            echo '<a href="?func=emaildomain">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
        } else {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при создании почтового домена!<br />' . "\n";
            echo '<a href="?func=emaildomain">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
        }
    }
} else {
    if (empty($_POST['submit'])) {
        $content = api_query('https://' . $server . '/manager/ispmgr?func=emaildomain.edit&elid=' . urlencode($_GET['elid']) . '&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml = simplexml_load_string($content);
        echo '<div class="menu"><img src="images/t-edit.png" alt="." />Изменение почтового домена<br />' . "\n";
        echo '</div>' . "\n";
        echo '<div class="post"><form action="?func=emaildomain.edit&amp;elid=' . urlencode($_GET['elid']) . '" method="post">' . "\n";
        echo 'Доменное имя:<br />' . "\n";
        echo '<input name="name" value="' . htmlentities((string)$parse_xml->name, ENT_QUOTES, 'UTF-8') . '" /><br />' . "\n";
        echo 'Действие по умолчанию:<br />' . "\n";
        echo '<select name="dtype">' . "\n";
        echo '<option value="nouser"';
        if ((string)$parse_xml->dtype == 'nouser') {
            echo ' selected="selected"';
        }
        echo '>Сообщение об ошибке</option>' . "\n";
        echo '<option value="devnull"';
        if ((string)$parse_xml->dtype == 'devnull') {
            echo ' selected="selected"';
        }
        echo '>Игнорировать и удалить</option>' . "\n";
        echo '<option value="toemail"';
        if ((string)$parse_xml->dtype == 'toemail') {
            echo ' selected="selected"';
        }
        echo '>Перенаправить на адрес*</option>' . "\n";
        echo '<option value="todomain"';
        if ((string)$parse_xml->dtype == 'todomain') {
            echo ' selected="selected"';
        }
        echo '>Перенаправить на домен**</option>' . "\n";
        echo '</select><br />' . "\n";
        echo '*Перенаправить на адрес:<br />' . "\n";
        echo '<input name="mbox"';
        if (isset($parse_xml->mbox)) {
            echo ' value="' . htmlentities((string)$parse_xml->mbox, ENT_QUOTES, 'UTF-8') . '"';
        }
        echo ' /><br />' . "\n";
        echo '**Перенаправить на домен:<br />' . "\n";
        echo '<input name="domain"';
        if (isset($parse_xml->domain)) {
            echo ' value="' . htmlentities((string)$parse_xml->mbox, ENT_QUOTES, 'UTF-8') . '"';
        }
        echo ' /><br />' . "\n";
        echo '<input type="checkbox" name="spamassassin" value="on"';
        if (isset($parse_xml->spamassassin)) {
            echo ' checked="checked"';
        }
        echo ' /> Включить SpamAssassin<br />' . "\n";
        echo '<input type="checkbox" name="avcheck" value="on"';
        if (isset($parse_xml->avcheck)) {
            echo ' checked="checked"';
        }
        echo ' /> Включить проверку на вирусы<br />' . "\n";
        echo '<input name="submit" type="submit" value="Создать" />' . "\n";
        echo '</form>' . "\n";
        echo '</div>' . "\n";
        echo '<div class="menu"><img src="images/t-back.png" alt=".." /><a href="?func=emaildomain">Вернуться</a>' . "\n</div>";
    } else {
        $spamassassin = isset($_POST['spamassassin'])?'on':'';
        $avcheck = isset($_POST['avcheck'])?'on':'';
        $content = api_query('https://' . $server . '/manager/ispmgr?func=emaildomain.edit&elid=' . urlencode($_GET['elid']) . '&name=' . urlencode($_POST['name']) . '&dtype=' . urlencode($_POST['dtype']) . '&mbox=' . urlencode($_POST['mbox']) . '&domain=' . urlencode($_POST['domain']) . '&spamassassin=' . $spamassassin . '&avcheck=' . $avcheck . '&sok=ok&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
        $parse_xml = simplexml_load_string($content);
        if (isset($parse_xml->ok)) {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Почтовый домен успешно изменен!<br />' . "\n";
            echo '<a href="?func=emaildomain">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
        } else {
            echo '<div class="post"><div style="text-align:center">' . "\n";
            echo 'Ошибка при изменении почтового домена!<br />' . "\n";
            echo '<a href="?func=emaildomain">Продолжить&#187;</a>' . "\n";
            echo '</div></div>' . "\n";
        }
    }
}

?>